classification
Title: Select module fails to build on Solaris 11.4
Type: compile error Stage: resolved
Components: Build Versions: Python 3.9
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: BTaskaya, RobHammann, jcea, pablogsal
Priority: normal Keywords: patch

Created on 2020-02-24 17:16 by RobHammann, last changed 2020-05-16 22:40 by BTaskaya. This issue is now closed.

Files
File name Uploaded Description Edit
build-output.txt RobHammann, 2020-02-24 17:15
Pull Requests
URL Status Linked Edit
PR 19281 merged BTaskaya, 2020-04-01 17:47
Messages (3)
msg362598 - (view) Author: (RobHammann) Date: 2020-02-24 17:15
On an x86 Solaris 11.4 system, the standard procedure build of python from source fails to build the 'select' module. Make install then fails upon trying to import 'select'.

In the make output, while gcc is building 'select', these errors are printed:

building 'select' extension
gcc -fPIC -Wno-unused-result -Wsign-compare -g -Og -Wall -D_REENTRANT -std=c99 -Wextra -Wno-unused-result -Wno-unused-parameter -Wno-missing-field-initializers -Werror=implicit-function-declaration -fvisibility=hidden -I./Include/internal -I./Include -I. -I/usr/local/include -I/root/cpython-solaris/Include -I/root/cpython-solaris -c /root/cpython-solaris/Modules/selectmodule.c -o build/temp.solaris-2.11-i86pc.64bit-3.9-pydebug/root/cpython-solaris/Modules/selectmodule.o
/root/cpython-solaris/Modules/selectmodule.c:1147:21: error: 'devpoll_methods' undeclared here (not in a function); did you mean 'devpoll_dealloc'?
     {Py_tp_methods, devpoll_methods},
                     ^~~~~~~~~~~~~~~
                     devpoll_dealloc
/root/cpython-solaris/Modules/selectmodule.c:2299:20: warning: 'devpoll_methods' defined but not used [-Wunused-variable]
 static PyMethodDef devpoll_methods[] = {
                    ^~~~~~~~~~~~~~~

Attached is the combined outputs of ./configure, make, and make install
msg369072 - (view) Author: Pablo Galindo Salgado (pablogsal) * (Python committer) Date: 2020-05-16 22:36
New changeset 31245d19f2de03e57fd93c5169f00a36d7410fcf by Batuhan Taskaya in branch 'master':
bpo-39740: Early declare devpoll_methods to support old compilers (GH-19281)
https://github.com/python/cpython/commit/31245d19f2de03e57fd93c5169f00a36d7410fcf
msg369075 - (view) Author: Batuhan Taskaya (BTaskaya) * (Python triager) Date: 2020-05-16 22:40
@RobHammann it should be resolved now, please feel free to re-open issue if you get into trouble (I manually tested on solaris)
History
Date User Action Args
2020-05-16 22:40:21BTaskayasetstatus: open -> closed
resolution: fixed
messages: + msg369075

stage: patch review -> resolved
2020-05-16 22:36:21pablogsalsetnosy: + pablogsal
messages: + msg369072
2020-04-01 17:47:38BTaskayasetkeywords: + patch
stage: patch review
pull_requests: + pull_request18638
2020-02-29 18:15:18BTaskayasetnosy: + jcea, BTaskaya
2020-02-24 17:16:05RobHammanncreate